import { Node } from '@tiptap/core';
export interface FootnoteOptions {
    /**
     * The HTML attributes for a paragraph node.
     * @default {}
     * @example { class: 'foo' }
     */
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        footnote: {
            /**
             * Set a footnote
             * @example editor.commands.setFootnote()
             */
            setFootnote: () => ReturnType;
            /**
             * Toggle a footnote
             * @example editor.commands.toggleParagraph()
             */
            toggleFootnote: () => ReturnType;
        };
    }
}
declare const Footnote: Node<FootnoteOptions, any>;
export default Footnote;
