import { WritableComputedRef } from 'vue';
interface CalendarDateButton {
    year: number;
    month: number;
    date: number;
    action: VoidFunction;
}
export declare function useCalendar(timestamp: WritableComputedRef<number | undefined>): {
    date: number;
    month: number;
    year: number;
    dates: CalendarDateButton[];
    isToday: ({ year, month, date }: Pick<CalendarDateButton, "year" | "month" | "date">) => boolean;
    isActiveMonth: (date: Pick<CalendarDateButton, "year" | "month">) => boolean;
    isCurrentDate: ({ year, month, date }: Pick<CalendarDateButton, "year" | "month" | "date">) => boolean;
    isCurrentMonth: (year: number, month: number) => boolean;
    setYear: (year: number) => void;
    setMonth: (month: number) => void;
    setDate: (year: number, month: number, date?: number) => void;
    setTime: (hours: number, minutes: number, seconds?: number) => void;
};
export {};
