/**
 * A composable function for handling encryption and decryption operations
 * using AES-GCM and PBKDF2 with a user-specific key.
 *
 * @param onKeySet - Callback function to be called when the encryption key is set.
 */
export declare function useEncryption<T = unknown>(onKeySet?: () => void): {
    encryptData: (data: T) => Promise<string>;
    decryptData: (encryptedData: string) => Promise<T>;
};
