export interface FetchConfig<T> {
    titlePrefix: string;
    endpoint: string;
    similar?: string;
    routeName: string;
    notFound?: {
        routeName?: string;
        stripParams?: boolean;
        done?: VoidFunction;
    };
    onFetch?: VoidFunction;
    onFetched?: (data: T) => void;
}
/**
 *
 * @remarks
 * Diese Methode kann nur gleichzeitig mit dem {@link https://router.vuejs.org/ | Vue Router} verwendet werden
 *
 * @param cfg - FetchConfig
 */
export declare function useFetch<T extends {
    title?: string;
    id: string;
}>(cfg: FetchConfig<T>): {
    key: symbol;
    loading: boolean;
    item?: T | undefined;
    similar?: T[] | undefined;
    fetch: VoidFunction;
    fetchSimilar: VoidFunction;
};
