export declare function useLatestStore<T extends {
    id: string;
}>(fetch: () => T[] | Promise<T[]>, max_size?: number): {
    init: () => void;
    add: (...items: T[]) => void;
    update: (...items: T[]) => void;
    remove: (...items: T[]) => void;
    clear: () => void;
    items: import("vue").ComputedRef<T[]>;
    size: import("vue").ComputedRef<number>;
    totalSize: import("vue").ComputedRef<number>;
    empty: import("vue").ComputedRef<boolean>;
    first: import("vue").ComputedRef<T | undefined>;
    last: import("vue").ComputedRef<T | undefined>;
};
