import { WritableComputedRef } from 'vue';
export interface QueryNumberConfig<T> {
    name: string;
    fallback: T;
    min?: number;
    max?: number;
}
/**
 *
 * @remarks
 * Diese Methode kann nur gleichzeitig mit dem {@link https://router.vuejs.org/ | Vue Router} verwendet werden
 *
 * @param cfg - QueryNumberConfig
 */
export declare function useQueryNumber<T extends number | undefined = undefined>(cfg: QueryNumberConfig<T>): WritableComputedRef<number | T>;
export interface QueryConfig {
    name: string;
    fallback?: string;
}
/**
 *
 * @remarks
 * Diese Methode kann nur gleichzeitig mit dem {@link https://router.vuejs.org/ | Vue Router} verwendet werden
 *
 * @param cfg - QueryConfig
 */
export declare function useQuery(cfg: QueryConfig): WritableComputedRef<string | undefined, string | undefined>;
