import { HubResource } from '@/utils';
import { MaybeRefOrGetter } from 'vue';
export interface SearchDocument {
    id: string;
    type: HubResource;
    label: string;
    url: string;
    highlight?: string;
    preview?: string;
}
export interface SearchConfig {
    skip?: number;
    limit?: number;
    resource?: HubResource;
    resources?: HubResource[];
    timestampMin?: number;
    timestampMax?: number;
    allowEmptyQuery?: boolean;
    user?: boolean;
    file?: boolean;
}
export declare function useSearch(config?: MaybeRefOrGetter<SearchConfig>): {
    searching: boolean;
    results: {
        id: string;
        type: HubResource;
        label: string;
        url: string;
        highlight?: string | undefined;
        preview?: string | undefined;
    }[];
    total: number;
    query: string;
    fetch: (query?: string) => void;
};
