import { LIcon } from 'itlab-icons';
export interface NotificationOptions {
    title?: string;
    message: string;
    icon?: LIcon;
    color?: string;
    duration?: number;
    immediate?: boolean;
}
export declare function useSystemNotification(): {
    send: (content: NotificationOptions | string, options?: {
        color?: string;
        icon?: LIcon;
        immediate?: boolean;
        duration?: number;
    }) => void;
    error: (content: NotificationOptions | string) => void;
    success: (content: NotificationOptions | string) => void;
    info: (content: NotificationOptions | string) => void;
    submitted: (content: NotificationOptions | string) => void;
    copied: (content: NotificationOptions | string) => void;
    deleted: (content: NotificationOptions | string) => void;
};
