import { KeyOfType, Timestamp } from '@/utils';
/**
 * Creates bins based on the provided items and key.
 *
 * @param {T[]} items - The array of items to create bins for.
 * @param {K} key - The key to use for creating bins.
 * @return {Record<string, T[]>} - The record of bins, where each bin is an array of items.
 */
export declare function createBins<T, K extends KeyOfType<T, Timestamp>>(items: T[], key: K): Record<string, T[]>;
