/**
 * Replace placeholders in a string with values from an object.
 *
 * Placeholders are identified by a leading and trailing '%' character, e.g. %id%.
 *
 * @param str - The string with placeholders to be replaced
 * @param obj - The object with values to replace the placeholders with
 * @returns The modified string with all placeholders replaced
 */
export declare function interpolateString<T extends Record<string, unknown>>(str: string, obj: T): string;
