import { LIcon } from 'itlab-icons';
import { Selectable } from './selectable.model';
import { User } from './user.model';
export interface Idea {
    id: string;
    type: IdeaType;
    content: string;
    submitterId: string;
    submitter: User;
    assignedTo?: User;
    createdAt: string;
    updatedAt: string;
}
declare const IdeaTypes: readonly ["idea", "blip", "book", "podcast", "event"];
export type IdeaType = (typeof IdeaTypes)[number];
export declare const IdeaIcon: Record<IdeaType, LIcon>;
export declare const IdeaLabel: Record<IdeaType, string>;
export declare const SELECTABLE_IDEA_TYPES: Selectable[];
export declare const ideaTypeLocalizations: {};
declare const IdeaStates: readonly ["open", "accepted", "processing", "rejected", "completed"];
export type IdeaState = (typeof IdeaStates)[number];
export declare const IdeaStateLabel: Record<IdeaState, string>;
export declare const IdeaStateColor: Record<IdeaState, string>;
export declare const SELECTABLE_IDEA_STATES: Selectable[];
export declare const ideaStateLocalizations: {};
export {};
