import { Selectable } from '@/models';
import { LIcon } from 'itlab-icons';
export declare enum HubResource {
    NEWSROOM_NEWS = "newsroom-news",
    EVENTS_EVENT = "events-event",
    DEMO_HIVE_DEMO = "demo-hive-demo",
    TECH_RADAR_BLIP = "tech-radar-blip",
    TECH_RADAR_EDITION = "tech-radar-edition",
    PODCASTS_PODCAST = "podcasts-podcast",
    BOOKS_BOOK = "books-book",
    HACKSCHOOL_COURSE = "hackschool-course",
    HACKSCHOOL_THREAD = "hackschool-thread",
    HACKSCHOOL_DOC = "hackschool-doc",
    TEAM_MEMBER = "team-member",
    NEWSLETTER_ISSUE = "newsletter-issue",
    HUB_USER = "hub-user",
    HUB_FILE = "hub-file",
    HUB_QUICK_LINK = "hub-quick-link",
    HUB_COMMENT = "hub-comment",
    HUB_CONFLICT = "hub-conflict",
    HUB_IDEA = "hub-idea",
    HUB_CHANGELOG = "hub-changelog"
}
export declare const HUB_RESOURCES: HubResource[];
export declare const SEARCHABLE_RESOURCES: HubResource[];
export declare const COMMENTABLE_RESOURCES: HubResource[];
export declare const ResourceLabel: Record<HubResource, string>;
export declare const ResourceIcon: Record<HubResource, LIcon>;
export declare const ResourceAppIcon: Record<HubResource, LIcon>;
export declare function resourceToSelectable(resource: HubResource, style: 'app' | 'plain'): Selectable;
export declare const SELECTABLE_COMMENT_RESOURCES: Selectable[];
